capture log close
clear
clear mata
# delimit ;
set memory 50m ;
set more off ;
pause on ;
program drop _all ;
estimates clear ;

* =============================================================== ;
*	This is tab2.do ; 
*	Last edited 12/30/08 ew ;
*	Uses pollsallvars.dta ;
*	Total percentage reported in polls;
* =============================================================== ;

global N=1;
*1==umich server structure;
*2==elias's macbook structure;

if $N==1 {;
global prog "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/";
global res "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/electres/";
global pre "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/prepolls/";
global exit "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/exitpolls/";
global tab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/tables/";
global fig "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/figures/";
global oth "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/notinpaper/";
global mktab "/afs/umich.edu/user/f/g/fgelias/Shared/fin_pollproj/mktabsandfigs/";
};


log using "${mktab}tab2.log", replace ;
display "$S_DATE";
use "${prog}pollsallvars.dta", clear ;

keep if mainsamp==1&record!=.;
tabstat totpred, statistics(mean sd min p5 p10 p25 p90 p95 max n)
	col(var) by(year) nosep;

log close;


